检索授权
GET /accounts/{account_id}/core/v1/entitlements/{entitlement_id}
返回 JSON 响应正文中存储的 Entitlement API 资源。
参数
| 名称 | Type | 在 | Required | Description |
|---|---|---|---|---|
account_id |
string |
path |
True |
包含帐户资源的 ID
|
entitlement_id |
string |
path |
True |
要列出的授权集合的 ID |
响应
Status: 200, Returns the stored Entitlement API resource in the JSON response body.
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
资源的媒体类型。定义的值为:
|
version |
string |
True |
资源的版本。定义的值为:
|
id |
string |
True |
资源的全局唯一标识符。定义的值为:
|
分配 |
string |
False |
包含授权分配到的对象的 ID 的 JSON 字符串。仅在分配授权时存在。架构未验证字符串内容。 |
产品 |
string |
False |
包含从许可证或订阅中提取的产品字符串的 JSON 字符串。架构未验证字符串内容。 |
productVersion |
string |
False |
包含从许可证或订阅中提取的版本字符串的 JSON 字符串。架构未验证字符串内容。 |
entitlementType |
string |
True |
包含授权类型的 JSON 字符串。这是从许可证或订阅中提取的。架构未验证字符串内容。 |
entitlementValue |
string |
True |
包含与授权关联的容量的 JSON 字符串。架构未验证字符串内容。 |
entitlementConsumption |
string |
False |
包含与当前正在使用的授权关联的容量量的 JSON 字符串。架构未验证字符串内容。 |
sourceLicense |
string |
False |
包含授权源自的许可证对象 ID 的 JSON 字符串。定义的值为:
|
sourceSubscription |
string |
False |
包含授权源自的订阅对象的 ID 的 JSON 字符串。定义的值为:
|
validFromTimestamp |
string |
False |
包含指示授权何时生效的时间戳的 JSON 字符串。定义的值为:
|
validUntilTimestamp |
string |
False |
包含指示授权何时不再有效的时间戳的 JSON 字符串。定义的值为:
|
元数据 |
True |
与资源关联的客户端和服务指定的元数据。定义的值为:
|
响应示例
{
"type": "application/astra-entitlement",
"version": "1.0",
"id": "8bdafc19-bde6-5f45-9808-4893c845c9f5",
"product": "Astra SDS",
"productVersion": "1.0",
"entitlementType": "capacity",
"entitlementValue": "2",
"entitlementConsumption": "1",
"sourceLicense": "c8aa757a-5318-489f-8134-a2a1a6956a3e",
"validFromTimestamp": "2020-08-06T00:00:00.000000Z",
"validUntilTimestamp": "2021-08-06T00:00:00.000000Z",
"metadata": {
"labels": [],
"creationTimestamp": "2022-10-06T20:58:16.305662Z",
"modificationTimestamp": "2022-10-06T20:58:16.305662Z",
"createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
}
}
响应
Status: 401, Unauthorized
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
响应示例
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
响应
Status: 400, Bad request
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
|
invalidParams |
数组["invalidParams"] |
False |
无效查询参数列表 |
响应示例
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
响应
Status: 403, Forbidden
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
响应示例
{
"type": "https://astra.netapp.io/problems/11",
"title": "Operation not permitted",
"detail": "The requested operation isn't permitted.",
"status": "403"
}
错误
Status: 404, Not found
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
错误响应示例
{
"type": "https://astra.netapp.io/problems/2",
"title": "Collection not found",
"detail": "The collection specified in the request URI wasn't found.",
"status": "404"
}
定义
查看定义
类型 Astra 标签
| 名称 | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
|
value |
string |
True |
type_astra_metadata
与资源关联的客户端和服务指定的元数据。定义的值为:
-
符合 Astra 元数据架构
| 名称 | Type | Required | Description |
|---|---|---|---|
labels |
数组["类型 Astra 标签"] |
True |
|
creationTimestamp |
string |
True |
|
modificationTimestamp |
string |
True |
|
已创建 |
string |
True |
|
modifiedBy |
string |
False |
invalidParams
| 名称 | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
无效查询参数的名称 |
原因 |
string |
True |
查询参数无效的原因 |